---
title: "Get subscriber by ID"
slug: "get-subscriber-by-id"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to get a specific subscriber by ID."
---
# Get subscriber by ID

`GET /subscribers/{MailingListID}/find/{SubscriberID}.{Format}`

Retrieves the details about a subscriber by ID in a specific email list in your account. The response returns detailed information such as ID, name, date created, date unsubscribed, status, and custom fields.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| MailingListID | path | string | true | The ID of the email list that contains the subscriber. |
| SubscriberID | path | string | true | The ID of the subscriber. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |

```http
GET https://{hostname}/v3/subscribers/{MailingListID}/find/{SubscriberID}.{Format}?apikey=
```

```curl
curl --include \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     'https://{hostname}/v3/subscribers/{MailingListID}/find/{SubscriberID}.{Format}?apikey='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/jsonAccept:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": {
    "ID": "118e41dc9bef1735-bb9ef04d-435d4472-a86ab029-e5bd374668a868eb7fa2cfe7",
    "Name": "Some nameAndreas",
    "Email": "getmoocampaigns+1andreas@gmail.comemail.com",
    "CreatedOn": "/Date(14649526837731461777152597+0100)/",
    "UpdatedOn": "/Date(14653803283901461777152597+0100)/",
    "UnsubscribedOn": null,
    "UnsubscribedFromID": null,
    "SubscribeType": 41,
    "SubscribeMethod": 2,
    "CustomFields": \[\],
    "RemovedOn": "/Date(1465381597743+0100)/",      {
        "CustomFieldID": "b7e68e81-b6ab-4caa-8d13-e65871b32386",
        "Name": "Registered",
        "Value": "4/21/2016 12:00:00 AM"
      },
      {
        "CustomFieldID": "9df6dcc4-bef2-47e7-93af-86889b6b6d6a",
        "Name": "Age",
        "Value": "24"
      },
      {
        "CustomFieldID": "0d2199aa-65fc-448c-b9fe-199e3b72ebc5",
        "Name": "Some custom field",
        "Value": "Something"
      },
      {
        "CustomFieldID": "46721a6b-09aa-46ff-bab1-a0b75dea24cf",
        "Name": "Some custom field",
        "Value": "Text1"
      }
    \],
    "RemovedOn": null,
    "Tags": \[\]
      "potential",
      "repeater"
    \],
    "Preferences": \[
      "option a",
      "option b"
    \]
  }
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
-   `Context` - an object that contains all the following information for the subscriber:
    
    -   `ID` - the ID of the subscriber.
        
    -   `Name` - the name of the subscriber.
        
    -   `Email` - the email address of the subscriber.
        
    -   `CreatedOn` - the date-time the subscriber was added to the email list.
        
    -   `UnsubscribedOn` - the date-time the subscriber was unsubscribed from the email list. This is `null` if not unsubscribed from the list.
        
    -   `UnsubscribedFromID` - the ID that the subscriber is unsubscribed from.
        
    -   `SubscribeType` - the status of the subscriber. For subscribed, this is `1`, for unsubscribed, this is `2`, for bounced, this is `3` , and for removed, this is `4`.
        
    -   `SubscribeMethod` - the method used to subscribe the member to the email list. For subscription forms, this is `0`, for file imports, this is `1`, for manually added, this is `2`.
        
    -   `CustomFields` - a list containing the custom fields of the new subscriber. Each custom field contains the following:
        
        -   `CustomFieldID` - the ID of the custom field.
            
        -   `Name` - the name of the custom field.
            
        -   `Value` - the value of the custom field.

    -   `RemovedOn` - the date-time the subscriber was removed from the email list.
        
    -   `Tags` - a list containing the tags of the new subscriber.
        
    -   `Preferences` - a list containing the preference values of the new subscriber.